com.mysql.cj.protocol

## Enum Resultset.Concurrency

- java.lang.Object
- - java.lang.Enum<Resultset.Concurrency>
  - - com.mysql.cj.protocol.Resultset.Concurrency

All Implemented Interfaces:
  Serializable, Comparable<Resultset.Concurrency>

Enclosing interface:
  Resultset

    public static enum Resultset.Concurrency
    extends Enum<Resultset.Concurrency>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`READ_ONLY` The constant indicating the concurrency mode for a `Resultset` object that may NOT be updated.
`UPDATABLE` The constant indicating the concurrency mode for a `Resultset` object that may be updated.

### Field Summary

Fields
`private int` `value`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Resultset.Concurrency` `fromValue(int concurMode, Resultset.Concurrency backupValue)`
`int` `getIntValue()`
`static Resultset.Concurrency` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Resultset.Concurrency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READ_ONLY

    public static final Resultset.Concurrency READ_ONLY

The constant indicating the concurrency mode for a `Resultset` object that may NOT be updated.

#### UPDATABLE

    public static final Resultset.Concurrency UPDATABLE

The constant indicating the concurrency mode for a `Resultset` object that may be updated.

### Field Detail

#### value

    private int value

### Method Detail

#### values

    public static Resultset.Concurrency[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Resultset.Concurrency c : Resultset.Concurrency.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Resultset.Concurrency valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIntValue

    public int getIntValue()

#### fromValue

    public static Resultset.Concurrency fromValue(int concurMode,
                                                  Resultset.Concurrency backupValue)

Copyright © 2016, 2025, Oracle and/or its affiliates.